# server-scripts

Useful scripts for managing servers written in Bash. Supported OS includes only Ubuntu/Debian and Alpine.

They feature auto-updating, and some error handling.

## `scripts-download.sh`

This script is used to download all the scripts in this repository to a specified directory.
```bash
curl -sSL https://git.ivanch.me/ivanch/server-scripts/raw/branch/main/scripts-download.sh | bash
```

### `backup.sh`

This script is used to backup a directory to a remote server using `rsync`. It is intended to be run as a cron job.

### `clean.sh`

This script is used to clean some of the files, docker dangling images, and docker stopped/unused containers.

### `docker-updater.sh`

This script is used to update all the docker containers on the server.